awe.sm Stats API

Retrieve Details and Stats for a Link

Get the details for a specific awesm_id.

GETapi.awe.sm/stats/{awesm_id}.json

The POST method is also supported. HTTPS is supported on this endpoint.

Required Parameters

Parameter Type Description
awesm_id string The awe.sm link you want to lookup. This parameter is provided as part of the URL. Passing it as an explicit parameter will have no effect.
key string API key of the project on which stats are being requested.
v integer API version: 3 for this endpoint.

Optional Parameters

Parameter Type Description
callback string Returns a JSON-P response named with this parameter's value.
start_date date The beginning of the period for which you want data, rounded to previous hour.
end_date date The end of the period for which you want data, rounded to next hour.
interval string Period of time between stats: hour, day, or week. Limited to 500 intervals. Requires start_date after 2010-06-04. Default is day.
with_conversions boolean Flag to include conversion values in response. Default is FALSE.
with_metadata boolean Flag to include metadata objects in response. Default is FALSE.
with_zeros boolean Flag to include intervals with no activity. Default is FALSE.

Related APIs

Example

GET http://api.awe.sm/stats/demo.awe.sm_K7e.json?v=3&key=5c8b1a212434c2153c2f2c2f2c765a36140add243bf6eae876345f8fd11045d9

{
    "awesm_id": "demo.awe.sm_K7e",
    "clicks": 5,
    "end_date": null,
    "interval": "none",
    "start_date": null,
    "with_conversions": false,
    "with_metadata": false,
    "with_zeros": false
}

Last updated 2012-01-23